// my-module.d.ts
declare namespace my_ns {
    class MyObject {
        constructor();
        constructor(a: number, b: number);
    
        publicFloatProperty : number;
        print() : void;
    }
}